function [y, check, what] = Boyd_Richerson_original( D, x )
% BOYD_RICHERSON_ORIGINAL implements an individual-level mechanism equivalent to Boyd
% and Richerson (1985) population outcome equation, pag. 208, Eq. 7.1
%
% Parameters:
%
% D = the frequency-dependent bias paramenter (1 = conformist copying; 
% 0 = neutral model; -1 = anti-conformist copying; and all values in between)
% x = frequency of the trait

    p = x + D .* x .* ( 1 - x ) .* ( 2 .* x - 1 );
    y = rand < p;
    what = y;
    check = 1;
end

    
        
        