function [y, check, what] = Information_retention( store_pop, t, m )
% INFORMATION_RETENTION Individuals retain sampling information from previous rounds
% 
% Parameters:
% 
% store_pop = the population with states at all times t
% t = time step
% m = memory slots

    if( m >= t )
       temp_store = store_pop( :, 1:t );
    else
        temp_store = store_pop( :, (t-m+1):t );
    end
    temp_store = temp_store(:);
    y = temp_store( randi( length( temp_store ), 1, 1 ) );
    check = 1;
    what = y;
end

    
        
        