function [y, check, what] = Variant_preference( i, pop, pLess, preferred_variant )
% VARIANT_PREFERENCE implements copying biased towards one variant
% 
% Parameters:
% 
% i = index of the observer
% pop = the population
% pLess = probabilty the less preferred variant is copied (for the preferred variant is always 1) 
% preferred_variant = which one is the preferred variant (0/1)

    check = 0;
    demonstrator = randi( length( pop ), 1, 1 );
    what = pop( demonstrator );
    if( what == preferred_variant )
        y = preferred_variant;
        check = 1;
    else
        if( rand() < pLess )
            y = ~preferred_variant;
            check = 1;
        end
    end
    if( check == 0 )
        y = pop( i );
    end
end
